The chosen folder is not a valid Android SDK....

The place to discuss anything and everything about running your LiveCode on Android

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

sefrojones
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 447
Joined: Mon Jan 23, 2012 12:46 pm

Re: The chosen folder is not a valid Android SDK....

Post by sefrojones » Fri Jun 27, 2014 10:18 pm

I recently moved to Ubuntu 14.04, I was able to get everything running properly using this tutorial:

http://lessons.runrev.com/m/2571/l/8075 ... r-on-linux


I did have to set the preferences of the file manager to "run files as scripts" or something like that before running the android-sdk-linux/tools/android script in the above lesson.

Gambiteer
Posts: 10
Joined: Sat Jun 28, 2014 4:17 am

Re: The chosen folder is not a valid Android SDK....

Post by Gambiteer » Sat Jun 28, 2014 4:34 pm

I am getting this error on Windows.

sefrojones
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 447
Joined: Mon Jan 23, 2012 12:46 pm

Re: The chosen folder is not a valid Android SDK....

Post by sefrojones » Sat Jun 28, 2014 4:52 pm

Have you followed this tutorial?

http://lessons.runrev.com/m/2571/l/2738 ... er-on-a-pc


The last time I installed LC and the Android/Java SDks I remember having a similar problem. Here's what worked for me(from an old thread):
I recently ran in to a bit of trouble with the emulator/ test devices. This is what worked for me:

I uninstalled everything java, and the android sdk

Reinstall JDK

Reinstall android SDK and install packages for 2.2.2 and 2.3.3

Reinstall java for my browser

Restart computer


After I did this, I was able to launch an app on an emulated device and on a test device. I am using 6.6.2 (rc2) and 6.5.2 on a 64 bit windows 7 machine. Hope this helps.

Hopefully this helps a bit.

-_Sefro

Gambiteer
Posts: 10
Joined: Sat Jun 28, 2014 4:17 am

Re: The chosen folder is not a valid Android SDK....

Post by Gambiteer » Sun Jun 29, 2014 12:42 am

I did follow that tutorial (except the JDK part, I already had that installed as I've worked with Java in the past). If I follow your instructions from an old thread, should I only install Android 2.2.2 and 2.3.3? Or could I also install a more recent version like 4.4? In other words, would my app be limited working with only older versions of Android? (Sorry if this is a dumb question, I'm a beginner)

sefrojones
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 447
Joined: Mon Jan 23, 2012 12:46 pm

Re: The chosen folder is not a valid Android SDK....

Post by sefrojones » Sun Jun 29, 2014 1:08 am

You can install other versions, but you need 2.2.2 and 2.3.3 in order to use livecode. I have 4.4.2 installed as well, and when using the emulator I can test my livecode apps on a 4.4.2 AVD.


-_Sefro

Gambiteer
Posts: 10
Joined: Sat Jun 28, 2014 4:17 am

Re: The chosen folder is not a valid Android SDK....

Post by Gambiteer » Sun Jun 29, 2014 3:27 am

Thank you for your help _Sefro

Unfortunately, after following your instructions, the error message still appears. Do you have any more ideas?

sefrojones
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 447
Joined: Mon Jan 23, 2012 12:46 pm

Re: The chosen folder is not a valid Android SDK....

Post by sefrojones » Sun Jun 29, 2014 3:43 am

I'm not too sure. I do know that there is a way to get it working, as a installed all of this on my win 7 partition a couple months ago. Out of curiosity, what version of LiveCode are you using?

Gambiteer
Posts: 10
Joined: Sat Jun 28, 2014 4:17 am

Re: The chosen folder is not a valid Android SDK....

Post by Gambiteer » Sun Jun 29, 2014 10:27 pm

Livecode Community 6.6.2

When you got this working, what revision of the android SDK were you running?

sefrojones
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 447
Joined: Mon Jan 23, 2012 12:46 pm

Re: The chosen folder is not a valid Android SDK....

Post by sefrojones » Sun Jun 29, 2014 11:04 pm

It was on or around January 13th of this year, and I installed the android SDK rev 22.6.3

viro
Posts: 52
Joined: Fri Jul 05, 2013 6:59 pm
Location: Germany, Hesse

Re: The chosen folder is not a valid Android SDK....

Post by viro » Fri Jul 11, 2014 8:24 am

In case someone searches for quick solution:
Android Minimal SDK with API8
the funniest thing about this particular signature is that by the time you realize it doesn't say anything it's too late to stop reading it

vasso123
Posts: 2
Joined: Mon Jul 14, 2014 9:02 pm

Re: The chosen folder is not a valid Android SDK....

Post by vasso123 » Mon Jul 14, 2014 10:53 pm

I tried to "connect" the newest Android SDK with newest Livecode on Linux, but with no success. Why is this such a problem? It seems that there is no solution?

junryl
Posts: 10
Joined: Sun Aug 17, 2014 3:13 am

Re: The chosen folder is not a valid Android SDK....

Post by junryl » Mon Aug 18, 2014 6:29 am

Looks like this will no longer work on Livecode 6.6.2. Have anyone successfully adding Android SDK on this livecode version?

sefrojones
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 447
Joined: Mon Jan 23, 2012 12:46 pm

Re: The chosen folder is not a valid Android SDK....

Post by sefrojones » Mon Aug 18, 2014 7:10 am

I've got it working in Ubuntu and Windows 7...

LCNeil
Livecode Staff Member
Livecode Staff Member
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: The chosen folder is not a valid Android SDK....

Post by LCNeil » Mon Aug 18, 2014 10:28 am

Hi Guys,

The latest Android SDK (r23) is not compatible with version 6.6.2+ of LiveCode. We are aware of this issue and it is scheduled to be fixed in the next release of LiveCode.

More information on this can be found here-

http://quality.runrev.com/show_bug.cgi?id=12719

There are two current methods to resolve this issue until a fix has been implemented-

1) Use the zipalign workaround mentioned in the following bug report http://quality.runrev.com/show_bug.cgi?id=12719

2) Download an older revision of the SDK (r22) and use this instead.


Kind Regards,


Neil Roger
--
LiveCode Support Team ~ http://www.livecode.com

Einherjar
Posts: 18
Joined: Thu Dec 12, 2013 7:38 pm

Re: The chosen folder is not a valid Android SDK....

Post by Einherjar » Sat Sep 06, 2014 9:11 am

Is there any update on when this issue will be fixed / supported by LiveCode?

Post Reply

Return to “Android Deployment”